Subject: Cicuta species

From: [email-masked]
Date: Sun, 26 Mar 95 21:44:16 PDT

I am looking for cicutoxin from Cicuta species (water hemlock).  I can't find 
it in an chemical supply catalogs.  Does anyone have any suggestions?